%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Summary:	A GTK widget for VNC clients
Name:		gtk-vnc
Version:	0.3.10
Release:	1
BuildArch:	i686
License:	GNU/LGPLv2+
Group:		Development/Libraries
Source:		http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
URL:		http://gtk-vnc.sf.net/

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnutls-devel
BuildRequires: gtk2+-devel
BuildRequires: pango-devel
BuildRequires: python26-devel
BuildRequires: zlib-devel intltool cyrus-sasl-devel python26-pygtk-devel libgcrypt-devel libgpg-error-devel expat-devel libtasn1-devel

%description
gtk-vnc is a VNC viewer widget for GTK. It is built using coroutines
allowing it to be completely asynchronous while remaining single threaded.

%package	devel
Summary:	Libraries, includes, etc. to compile with the gtk-vnc library
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
gtk-vnc is a VNC viewer widget for GTK. It is built using coroutines
allowing it to be completely asynchronous while remaining single threaded.
Libraries, includes, etc. to compile with the gtk-vnc library

%package	python
Summary:	Python bindings for the gtk-vnc library
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	python
gtk-vnc is a VNC viewer widget for GTK. It is built using coroutines
allowing it to be completely asynchronous while remaining single threaded.
A module allowing use of the GTK-VNC widget from python

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%prep
%setup -q

%build
%configure PYTHON=/usr/bin/python%{PYVER}
make %{?_smp_mflags}

%install
rm -fr $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING.LIB
%_libdir/lib*.so.*

%files devel
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING.LIB
%doc examples/gvncviewer.c
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la
%_libdir/python*/site-packages/*.a
%_libdir/python*/site-packages/*.la
%_includedir
%_pkgconfig

%files python
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING.LIB
%doc examples/gvncviewer.py
%_libdir/python*/site-packages/gtkvnc.so

%clean
rm -fr %{buildroot}

%changelog
* Thu Nov 19 2009 Christian Metzen <metzench@ccux-linux.de> 0.3.10-1
- Version update
* Mon Apr 06 2009 Christian Wasem <wasem@ccux-linux.de> 0.3.8-1
- Initial package release
